/* MIXINS */
// Different devices resolutions
@mixin respond-to($media) {
    @if $media==old-phones {
        @media only screen and (max-width: 320px) {
            @content;
        }
    }
    @else if $media==phones {
        @media only screen and (max-width: $screen-xs) {
            @content;
        }
    }
    @else if $media==phones-landscape {
        @media only screen and (max-width: $screen-xs-max) {
            @content;
        }
    }
    @else if $media==nexus7 {
        @media only screen and (max-width: 960px) {
            @content;
        }
    }
    @else if $media==tablets-portrait {
        @media only screen and (max-width: $screen-sm-max) {
            @content;
        }
    }
    @else if $media==tablets-landscape {
        @media only screen and (max-width: $screen-md-max) {
            @content;
        }
    }
    @else if $media==desktops {
        @media only screen and (min-width: $screen-lg) {
            @content;
        }
    }
}
/*FONT PX To REM MIXIN*/
@function calculateRem($size) {
  $remSize: $size / 16px;
  @return $remSize * 1rem;
}
@mixin font-size($size) {
  font-size: $size;
  font-size: calculateRem($size);
}
